=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-10-20 04:28:21 +0000
+++ drizzled/handler.h	2008-10-23 00:05:28 +0000
@@ -21,7 +21,6 @@
 /* Definitions for parameters to do with handler-routines */
 
 
-#include <mysys/my_handler.h>
 #include <storage/myisam/keycache.h>
 
 #ifndef NO_HASH

=== modified file 'mystrings/m_ctype.h'
--- mystrings/m_ctype.h	2008-10-06 05:57:49 +0000
+++ mystrings/m_ctype.h	2008-10-23 00:05:28 +0000
@@ -21,6 +21,10 @@
 #ifndef _m_ctype_h
 #define _m_ctype_h
 
+#include <drizzled/global.h>
+#include <stdint.h>
+#include <stdbool.h>
+
 #ifdef	__cplusplus
 extern "C" {
 #endif

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-10-22 23:45:01 +0000
+++ mysys/Makefile.am	2008-10-23 00:05:28 +0000
@@ -33,7 +33,6 @@
 			my_bitmap.h \
 			my_dir.h \
 			my_static.h \
-			my_handler.h \
 			my_nosys.h \
 			mysys_err.h \
 			my_tree.h \
@@ -59,7 +58,7 @@
 			my_open.c my_create.c my_dup.c my_seek.c my_read.c \
 			my_write.c \
 			mf_iocache.c mf_iocache2.c mf_cache.c mf_tempfile.c \
-			mf_tempdir.c my_handler.c \
+			mf_tempdir.c \
 			my_malloc.c my_realloc.c my_once.c mulalloc.c \
 			my_alloc.c \
 			my_fopen.c my_fstream.c my_getsystime.c \
@@ -81,7 +80,6 @@
 			my_sleep.c \
 			charset.c charset-def.c my_bitmap.c my_bit.c \
 			sha1.c \
-			my_handler_errors.c \
 			my_access.c base64.c \
 			thr_alarm.c thr_lock.c my_thr_init.c \
                         ${thr_mutex_source} ${thr_rwlock_source}

=== modified file 'storage/heap/heap.h'
--- storage/heap/heap.h	2008-10-22 21:31:15 +0000
+++ storage/heap/heap.h	2008-10-23 00:05:28 +0000
@@ -27,7 +27,7 @@
 #include <mysys/my_pthread.h>
 #include <mysys/thr_lock.h>
 
-#include <mysys/my_handler.h>
+#include <storage/myisam/my_handler.h>
 #include <mysys/my_tree.h>
 
 	/* defines used by heap-funktions */

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-08-11 18:22:04 +0000
+++ storage/myisam/Makefile.am	2008-10-23 00:05:28 +0000
@@ -34,6 +34,7 @@
 noinst_HEADERS =	myisamdef.h \
 			ha_myisam.h \
 			keycache.h \
+			my_handler.h \
 			myisam.h \
 			myisampack.h
 
@@ -52,6 +53,8 @@
 			mi_changed.c mi_static.c mi_delete_all.c \
 			mi_delete_table.c mi_rename.c  mi_check.c \
 			mi_keycache.c mi_preload.c \
+			my_handler.c \
+			my_handler_errors.c \
 			sort.c 
 libmyisamha_la_SOURCES = ha_myisam.cc
 libmyisamnone_la_SOURCES = mi_reportnone.c

=== renamed file 'mysys/my_handler.c' => 'storage/myisam/my_handler.c'
--- mysys/my_handler.c	2008-10-22 23:45:01 +0000
+++ storage/myisam/my_handler.c	2008-10-23 00:05:28 +0000
@@ -17,12 +17,12 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include "mysys_priv.h"
+#include <config.h>
 
 #include <mystrings/m_ctype.h>
 #include <drizzled/base.h>
-#include <my_handler.h>
-#include <my_sys.h>
+#include <storage/myisam/my_handler.h>
+#include <mysys/my_sys.h>
 
 /**
   Swap the contents of two variables.

=== renamed file 'mysys/my_handler.h' => 'storage/myisam/my_handler.h'
=== renamed file 'mysys/my_handler_errors.c' => 'storage/myisam/my_handler_errors.c'
--- mysys/my_handler_errors.c	2008-10-22 23:45:01 +0000
+++ storage/myisam/my_handler_errors.c	2008-10-23 00:05:28 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <drizzled/base.h>
-#include <mysys/my_handler.h>
+#include <storage/myisam/my_handler.h>
 
 #include <drizzled/gettext.h>
 

=== modified file 'storage/myisam/myisam.h'
--- storage/myisam/myisam.h	2008-10-20 04:28:21 +0000
+++ storage/myisam/myisam.h	2008-10-23 00:05:28 +0000
@@ -28,7 +28,7 @@
 #ifndef _keycache_h
 #include "keycache.h"
 #endif
-#include <mysys/my_handler.h>
+#include <storage/myisam/my_handler.h>
 #include <mysys/iocache.h>
 
 /*

